Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.rgg.model
Class CompilerExtension

    java.lang.Object
      de.grogra.rgg.model.CompilerExtension

All Implemented Interfaces:
  de.grogra.xl.compiler.Extension

    public class CompilerExtension

extends java.lang.Object
implements de.grogra.xl.compiler.Extension

Constructor Summary
`CompilerExtension()`

Method Summary
`boolean` | `forcesDefaultConstructorFor(Type type)` Should a default constructor with no arguments be declared in the given `type`?
`void` | `postprocess(de.grogra.xl.compiler.scope.TypeScope scope, int run)`
`void` | `preprocess(de.grogra.xl.compiler.scope.TypeScope scope, int run)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompilerExtension

    public CompilerExtension()

Method Detail

### forcesDefaultConstructorFor

    public boolean forcesDefaultConstructorFor(Type type)

  Description copied from interface: `de.grogra.xl.compiler.Extension`
  Should a default constructor with no arguments be declared in the given `type`? Returns `true` iff the class declaration for `type` has to provide a default constructor with no arguments. If no such constructor is declared explicitly, an implicit declaration has to be added by the compiler.

  Specified by:
    `forcesDefaultConstructorFor` in interface `de.grogra.xl.compiler.Extension`
  Parameters:
    `type` - the current state of the class declaration
  Returns:
    `true` iff a constructor with no arguments is required

### postprocess

    public void postprocess(de.grogra.xl.compiler.scope.TypeScope scope,
                            int run)

  Specified by:
    `postprocess` in interface `de.grogra.xl.compiler.Extension`

### preprocess

    public void preprocess(de.grogra.xl.compiler.scope.TypeScope scope,
                           int run)

  Specified by:
    `preprocess` in interface `de.grogra.xl.compiler.Extension`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD